net.minecraft.client.renderer

## Class EntityRenderer

- java.lang.Object
- - net.minecraft.client.renderer.EntityRenderer

- Direct Known Subclasses:
    EntityRendererProxy

      public class EntityRenderer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `anaglyphEnable`
    `static int` | `anaglyphField` Anaglyph field (0=R, 1=GB)
    `int` | `debugViewDirection` Debug view direction (0=OFF, 1=Front, 2=Right, 3=Back, 4=Left, 5=TiltLeft, 6=TiltRight)
    `ItemRenderer` | `itemRenderer`
    `int` | `lightmapTexture` The texture id of the blocklight/skylight texture used for lighting effects

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityRenderer(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableLightmap(double par1)` Disable secondary texture unit used by lightmap
    `void` | `enableLightmap(double par1)` Enable lightmap in secondary texture unit
    `void` | `getMouseOver(float par1)` Finds what block or object the mouse is over at the specified partial tick time.
    `static int` | `performanceToFps(int par0)` Converts performance value (0-2) to FPS (35-200)
    `void` | `renderWorld(float par1, long par2)`
    `void` | `setupOverlayRendering()` Setup orthogonal projection for rendering GUI screen overlays
    `void` | `updateCameraAndRender(float par1)` Will update any inputs that effect the camera angle (mouse) and then render the world and GUI
    `void` | `updateRenderer()` Updates the entity renderer

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### anaglyphEnable

          public static boolean anaglyphEnable

    - #### anaglyphField

          public static int anaglyphField

      Anaglyph field (0=R, 1=GB)

    - #### itemRenderer

          public ItemRenderer itemRenderer

    - #### lightmapTexture

          public int lightmapTexture

      The texture id of the blocklight/skylight texture used for lighting effects

    - #### debugViewDirection

          public int debugViewDirection

      Debug view direction (0=OFF, 1=Front, 2=Right, 3=Back, 4=Left, 5=TiltLeft, 6=TiltRight)

  - ### Constructor Detail

    - #### EntityRenderer

          public EntityRenderer(Minecraft par1Minecraft)

  - ### Method Detail

    - #### updateRenderer

          public void updateRenderer()

      Updates the entity renderer

    - #### getMouseOver

          public void getMouseOver(float par1)

      Finds what block or object the mouse is over at the specified partial tick time. Args: partialTickTime

    - #### disableLightmap

          public void disableLightmap(double par1)

      Disable secondary texture unit used by lightmap

    - #### enableLightmap

          public void enableLightmap(double par1)

      Enable lightmap in secondary texture unit

    - #### updateCameraAndRender

          public void updateCameraAndRender(float par1)

      Will update any inputs that effect the camera angle (mouse) and then render the world and GUI

    - #### renderWorld

          public void renderWorld(float par1,
                         long par2)

    - #### setupOverlayRendering

          public void setupOverlayRendering()

      Setup orthogonal projection for rendering GUI screen overlays

    - #### performanceToFps

          public static int performanceToFps(int par0)

      Converts performance value (0-2) to FPS (35-200)